model.createAccount = function (firstName, lastName, username, password, email, country) {

	function success() {
		alert("Account created");
		deferred.resolve();
	}

	function failure(res) {
		alert("Failed to create account");
		deferred.reject(res);
	}

	url = "https://www.cloudme.com/en/signup?register=true";
	payload = "_charset_=UTF-8&firstname=" + firstName + "&lastname=" + lastName
		 + "&username=" + username + "&password=" + password + "&email=" + email +
		"&signup_location=" + country + "&signup_language=" +
		sf.env.getLanguageCode() + "&profile=false&EULA=true&human=human";
	alert("payload :" + payload);
	type = "POST";
	contentType = "application/x-www-form-urlencoded";

	var deferred = $jq.Deferred();
	baxide.restInvoke(url, payload, type, contentType).done(success).fail(failure);
	return deferred;
};

baxide.restInvoke = function (url, payload, type, contentType) {
	if (url.indexOf("https://") ==  - 1) {
		url = host + url;
	}
	if (!type) {
		type = 'POST';
	}
	if (!contentType) {
		contentType = 'application/xml; charset=utf-8';
	}
	var timeSent;

	var deferred = $jq.Deferred();
	$.ajax({
		type : type,
		async : true,
		cache : false,
		contentType : contentType,
		dataType : 'text',
		processData : false,
		url : url,
		data : payload,
		beforeSend : function (xhr) {
			now = new Date();
			timeSent = now.getTime();
			//view.addDebugStart("restInvoke " + url);
		},
		success : function (data, textStatus, jqXHR) {
			deferred.resolve(data, textStatus, jqXHR);
			var successTime = new Date();
			//view.addDebugSuccess("Success " + (successTime.getTime() - timeSent));
			if (jqXHR.destroy) {
				jqXHR.destroy();
			}
		},
		error : function (jqXHR, textStatus, errorThrown) {
			var errorObject = {};
			errorObject["httpErrorCode"] = jqXHR.status;
			errorObject[
				"httpErrorText"] = errorThrown;
			errorObject.isHTTPError = true;
			if(jqXHR.responseXML) {
				$(jqXHR.responseXML).find("error").each(function () {
					errorObject["baxideNumber"] = $(this).attr("number");
					errorObject[
						"baxideCode"] = $(this).attr("code");
					errorObject[
						"baxideDescription"] = $(this).attr("description");
					errorObject[
						"baxideText"] = $(this).text();
					errorObject.isBaxideError = true;
					alert("errorObject['baxideNumber'] :" +
						(errorObject['baxideNumber']));
					alert("errorObject['baxideCode'] :"
						 + (errorObject['baxideCode']));
					alert(
						"errorObject['baxideDescription'] :" +
						(errorObject['baxideDescription']));
					alert(
						"errorObject['baxideText'] :" + (errorObject['baxideText']));

				});
			} else if (jqXHR.responseText) {
				errorObject["baxideText"] = jqXHR.responseText;
			}
			deferred.reject(errorObject);
		}
	});
	return deferred;
};
