var model = {};
var login = {};
var fold = {}; // folders in the current folder
var webshares = {};
var totalFiles = 0;
var folderIdTree = new Array(); // tree of folder ids for the route
var folderFiles; // files in the current folder
var folderTree;
var imageFiles = new Array(); //image files returned from the folder query
var imageQueue = new Array();
var audioFiles = new Array(); //audio (mp3) files returned from the folder query
var playQueue = new Array();
var playListLoaded = {};
var foldersId; //all the folders Id of the user (get folder xml)
//var searchResultFolder; //folders from the search result
//var searchResultFiles; //files from the search result


model.startLogin = function (username, password, keepLoggedIn) {
	alert("start Login");
	login.setUserPwd(username, password, keepLoggedIn);
};

login.setUserPwd = function (username, password, keepLoggedIn) {
	alert("set user and pass");
	storage.clear();
	storage.sessionClear();
	// If keep logged in, store credentials
	if (keepLoggedIn == true || keepLoggedIn == "yes") {
		storage.setValue("loginUsername", username);
		storage.setValue("loginToken", password);
		storage.setValue("isLoggedIn", "1");
		storage.setValue("keepLoggedIn", "1");
	} else {
		storage.tempStore(username, password);
		storage.setUnsafeTempValue("isLoggedIn", "1");
		storage.setUnsafeTempValue("keepLoggedIn", "0");
	}
	controller.preInit();
};

model.login = function (username, pwd) {
	function failedLogin(baxideError) {
		alert("Failed Login");
		deferred.reject("" + model.getErrorMessageFromError(baxideError));
	}

	function loggedIn(response, textStatus, XMLHttpRequest) {
		deferred.resolve(response, textStatus, XMLHttpRequest);
	}
	alert("model.login");
	var deferred = $jq.Deferred();
	baxide.login(username, pwd, model.getClientString()).done(loggedIn).fail(failedLogin);
	return deferred;
};

model.getClientString = function () {
	return "TV FileExplorer";
}

model.getErrorMessageFromError = function (baxideError) {
	if (baxideError.isBaxideError) {
		return (baxideError.baxideText ? baxideError.baxideText : baxideError.baxideDescription);
	} else if (baxideError.isHTTPError) {
		return baxideError.httpErrorText;
	} else if (baxideError.isLocalError) {
		return baxideError.description;
	}
}

model.loginCloudme = function (response, textStatus, XMLHttpRequest) {
	// TODO: Get the account type, when it exists in response
	$(states.drives).children().each(function () {
		if ($(this).children('system').text() == 'home') {
			states.homeDriveId = $(this).children('folderid').text();
			states.currentSize = parseInt($(this).children('currentSize').text());
			states.quotaLimit = parseInt($(this).children('quotaLimit').text());
			storage.setUnsafeTempValue("user.drive.currentSize", new String(states.currentSize));
			storage.setUnsafeTempValue("user.drive.quotaLimit", new String(states.quotaLimit));
			states.writeLocked = $(this).children('writeLocked').text();
			alert("" + states.homeDriveId + "  " + states.currentSize + "  " + states.quotaLimit);
		} else if ($(this).children('name').text() == "") {
			$(this).remove();
		}
	});

	$(response).find('session').each(function (index, value) {
		alert("value text " + $(value).text())
		var sessionkey = encodeURIComponent($(value).text());
		//sessionkey = $(value).text();
		//alert("sessionKey "+sessionKey);
		model.Session.setSession(sessionkey);
		if (!(typeof window.FormData != "undefined")) { // If we are we using flash to do uploads we need to keep our session token up to date
			model.Session.startSessionTimer();
		}
	});

	function loadInfoDone(msg) {
		alert("Load info done: " + msg);
		alert("type msg: " + (typeof msg));
		states.userEntry = $(msg.documentElement).find('[nodeName="atom:entry"]')[0];
		alert("states.userEntry  " + states.userEntry);
		if ($(states.userEntry).find('[nodeName="dc:email"]').size() == 0) {
			var emailNode = model.createNode("dc:email", "http://xcerion.com/directory.xsd", msg);
			$(states.userEntry).append(emailNode);
		}
		states.fullname = $(states.userEntry).find('[nodeName="atom:name"]').text();
		alert("avatar: " + $(states.userEntry).find('[nodeName="ni:avatar"]')[0]);
		if ($(states.userEntry).find('[nodeName="ni:avatar"]').size() > 0) {
			var emailNode = model.createNode("dc:email", "http://xcerion.com/directory.xsd", msg);
			states.avatar = host + "/" + ($(states.userEntry).find('[nodeName="ni:avatar"]')[0] ? $(states.userEntry).find('[nodeName="ni:avatar"]').text() + ":avatar_x128.png/1" : "/webui/images/icons/128x128/avatar.png");
			alert("states avatar: " + states.avatar);
		}

		storage.setUnsafeTempValue("user.fullname", states.fullname);
		deferred.resolve("Logged in as '" + states.fullname + "'");
	}
	function loadInfoFail(msg) {}
	var deferred = $jq.Deferred();
	model.getUserData().done(loadInfoDone).fail(loadInfoFail);
	return deferred;
};

model.getErrorMessageFromError = function (baxideError) {
	if (baxideError.isBaxideError) {
		return (baxideError.baxideText ? baxideError.baxideText : baxideError.baxideDescription);
	} else if (baxideError.isHTTPError) {
		return baxideError.httpErrorText;
	} else if (baxideError.isLocalError) {
		return baxideError.description;
	}
}

/*** Create XML Document ***/
model.createXmlDoc = function () {
	if (document.implementation && document.implementation.createDocument) {
		return document.implementation.createDocument(namespaceURL, rootTagName, null);
	} else {
		return new ActiveXObject("MSXML2.DOMDocument");
	}
};

/*** Create Node ***/
model.createNode = function (name, namespace, doc) {
	var node;
	if (typeof doc.createElementNS == "function") {
		node = doc.createElementNS(namespace, name)
	} else {
		node = doc.createNode(1, name, namespace);
	}
	return node;
};

/*** Create Attribute ***/
model.createAttribute = function (name, namespace, doc) {
	var attr;
	if (typeof doc.createAttributeNS == "function") {
		attr = doc.createAttributeNS(namespace, name)
	} else {
		attr = doc.createNode(2, name, namespace);
	}
	return attr;
};

model.createList = function () {
	var a = [];
	a.totalResults = 0;
	a.startIndex = 0;
	a.itemsPerPage = 100;
	return a;
};

model.getUserData = function () {
	return baxide.invoke("getUserEntry", {
		"userId" : states.userId
	})
};

/** Store session */
model.Session = new(function () {
		var sessionkey = null;
		this.setSession = function (s) {
			sessionkey = s;
			alert("sessionkey " + sessionkey);
			baxide.setSession(sessionkey);
		};
		this.setUploadSettings = function (settings) {
			settings.upload_url = settings.upload_url + "?session=" + sessionkey;
		};
		this.setUploadUri = function (swf, uri) {
			swf.setUploadURL(uri + "?session=" + sessionkey);
		};
		this.startSessionTimer = function () {
			function update() {
				oThis.updateSessionToken();
				setTimeout(update, refreshTime);
			}
			var refreshTime = 5 * 60 * 60 * 1000; // Reload the session token every 5:th hour
			var oThis = this;
			setTimeout(update, refreshTime);
		}
		this.updateSessionToken = function () {
			function success(response) {
				$(response).find('session').each(function () {
					var s = encodeURIComponent($(this).text());
					model.Session.setSession(s);
				});
				deferred.resolve();
			}
			function failure(response) {
				deferred.reject();
			}
			var deferred = $jq.Deferred();
			baxide.invoke("login", {
				"client" : model.getClientString()
			}).done(success).fail(failure);
			return deferred;
		}
	});

//If folder tree, dont update folderIdTree variable
model.loadFolders = function (folderId, sortAtt, sortAsc, folderScene) {
	var sortOrder = (sortAsc == true ? "asc" : "desc");
	alert("folder. ft" + folderTree);
	// if(!folderTree || folderTree == null || folderTree == undefined){


	// }

	function done(doc) {
		//create array of foldertree with 2 dim:id and name
		alert("model folders loaded");
		folderTree = new Array(2);
		for (i = 0; i < 2; i++)
			folderTree[i] = new Array();

		if (sortAtt == "title") {
			doc = utils.sortXML(doc, '[name!=""]', "name", sortOrder);
		}
		model.getFoldersData(doc, folderScene);

		deferred.resolve(doc);

	}

	function failed(doc) {
		alert("model folders loaded failed");
		deferred.reject(doc);
	}

	var deferred = $jq.Deferred();
	alert("Folder id: " + folderId + "  folderIdTree " + folderIdTree);
	if (folderScene == null || !folderScene) {
		alert("folder id push: " + folderId + "  folderIdTree[folderIdTree.length] " + folderIdTree[(folderIdTree.length - 1)] + "     " + folderIdTree.length);
		if (folderId != folderIdTree[(folderIdTree.length - 1)]) {
			alert("folder id pushed");
			folderIdTree.push(folderId);
		}
	}
	baxide.invokeGet("folders", folderId, "/v1/folders/" + folderId).done(done).fail(failed);
	return deferred;
};

model.loadFiles = function (folderId, offset, count, ascending, order) {

	function done(doc) {

		if (!loadingMore)
			imageFiles = new Array;
		if (!loadingMore)
			audioFiles = new Array;

		if(offset == folderFiles.length){
		var files = model.getFilesData(doc, offset);

		alert("files " + files.length);
		//    folderFiles = files;
		if (folderId == states.currentFolderId) {
			if (folderFiles.length > 0) {
				alert("push files " + files.length);
				for (var x = 0; x < files.length; x++) {
					folderFiles.push(files[x])
				}
				alert("folderFiles.length " + folderFiles.length);
			} else {
				folderFiles = files;
			}
		}

		if (states.homeFolderId == folderId)
			doc = utils.removeFiles(doc);
		}
		alert("loadingMore " + loadingMore);
		deferred.resolve(doc);

	}

	function failed(doc) {
		files = null;
		deferred.reject(doc);
	}

	if (!offset)
		offset = "0";
	if (!count)
		count = "100";

	var i = 0;
	var loadingMore = false;
	if (offset == "0")
		folderFiles = new Array();
	var locale = "sv_SE"; // Needed for correct sorting
	var params = {
		folderId : folderId,
		offset : offset,
		count : count,
		ascending : ascending,
		order : order,
		numeric : 'true',
		locale : locale
	};
	var deferred = $jq.Deferred();
	alert("PARAMS: " + params);
	//baxide.invokeGet(null, null, "documents/" + folderId + "/" + "?offset=" + (offset || "0") + "&count=" + (count || "100")).done(done).fail(failed);
	baxide.invoke("queryFolder", params, null, null, folderId).done(done).fail(failed);
	return deferred;
};

/* NOT IMPLEMENTED
model.loadPDF = function (link) {
	var deferred = $jq.Deferred();
	function done(doc) {
		alert("doc: " + doc);
		deferred.resolve(doc);
	}
	function failed(doc) {
		alert("failed");
		deferred.reject(doc);
	}
	baxide.invokePDF(link).done(done).fail(failed);
	return deferred;
};*/

model.newFolder = function (folderId, childFolder, type) {
	//return model.createFolder(folderId, childFolder, true);
	return baxide.invoke("newFolder", {
		"folderId" : folderId,
		"childFolder" : childFolder,
		"type" : type
	});

};

model.queryFolder = function (folderId, numeric, locale) {
	return baxide.invoke("queryFolder", {
		"folderId" : folderId,
		"numeric" : numeric,
		"locale" : locale
	});
};

model.createFolder = function (folderId, folderName, verifyFile) {
	function success(response, textStatus, XMLHttpRequest) {
		$(response).find('newFolderId').each(function () {
			deferred.resolve($(this).text());
		});
	}

	function failure(baxideError) {
		var msg = "";
		if (baxideError.baxideCode == "409" && baxideError.baxideText == "Folder name already exists") {
			msg = "A folder named '" + folderName + "' already exists, please select another name";
		} else {
			msg = "Failed to create folder '" + folderName + "'." +
				"\nInfo: " + model.getErrorMessageFromError(baxideError);
		}
		deferred.reject(baxideError, msg);
	}
	function create(nameExists) {
		alert("name exists: " + nameExists);
		if (nameExists) {
			deferred.reject({}, "A file or folder named '" + folderName + "' already exists, please select another name");
		} else {
			baxide.invoke("newFolder", {
				"folderId" : folderId,
				"childFolder" : folderName
			}).done(success).fail(failure);
		}
	}

	var deferred = $jq.Deferred();
	model.fileOrFolderExists(folderId, folderName, verifyFile, false).done(create);
	return deferred;
};

model.fileExists = function (folderId, docName) {
	function success(response, textStatus, XMLHttpRequest) {
		if (utils.getTotalResults($(response.documentElement).children("[nodeName='atom:feed']")[0]) == 0) {
			deferred.resolve(false);
		} else {
			deferred.resolve(true);
		}
	}
	function failure(baxideError) {
		var msg = "Couldn't verify if file exists." +
			"\nInfo: " + model.getErrorMessageFromError(baxideError);
		deferred.reject(baxideError, msg);
	}
	var deferred = $jq.Deferred();
	baxide.invoke("queryFolder", {
		"folderId" : folderId,
		"query" : docName
	}).done(success).fail(failure);
	return deferred;
};

model.folderExists = function (folderId, folderName) {
	function success(response, textStatus, XMLHttpRequest) {
		deferred.resolve($(response.documentElement).children("[nodeName='fs:folder'][name = '" + folderName + "']").length > 0);
	}
	function failure(baxideError) {
		var msg = "Couldn't verify if folder exists." +
			"\nInfo: " + model.getErrorMessageFromError(baxideError);
		deferred.reject(baxideError, msg);
	}
	var deferred = $jq.Deferred();
	baxide.invokeGet("folders", folderId).done(success).fail(failure);
	return deferred;
};

model.fileOrFolderExists = function (folderId, newName, verifyFile, verifyFolder) {
	function nameCheckFailed(baxideError) {
		// Ignore error while checking and assume that the item doesn't exist(!)
		if (returned < checks) {
			returned++;
			done();
		}
	}

	function nameChecked(nameExists) {
		if (returned < checks) {
			returned++;
			if (nameExists) {
				// Failed set all returned to fail all
				returned = checks;
				deferred.resolve(true);
			} else {
				done();
			}
		}
	}

	function done() {
		// Verify that all are checked before returning
		if (returned == checks) {
			deferred.resolve(false);
		}
	}

	var deferred = $jq.Deferred();
	// How many to check
	var checks = 0;
	// How many of the checked that have returned
	var returned = 0;
	if (verifyFile) {
		checks++;
		model.fileExists(folderId, newName).done(nameChecked).fail(nameCheckFailed);
	}
	if (verifyFolder) {
		checks++;
		model.folderExists(folderId, newName).done(nameChecked).fail(nameCheckFailed);
	}
	if (checks == 0) {
		done();
	}
	return deferred;
}

model.renameFolder = function (parentFolderId, folderId, newName, verifyFile, verifyFolder) {
	function success(response, textStatus, XMLHttpRequest) {
		deferred.resolve();
	}
	function failure(baxideError) {
		var msg = "Failed to rename folder." +
			"\nInfo: " + model.getErrorMessageFromError(baxideError);
		deferred.reject(baxideError, msg);
	}

	function rename(nameExists) {
		if (nameExists) {
			deferred.reject({}, "A file or folder named '" + newName + "' already exists, please select another name");
		} else {
			baxide.invoke("modifyFolder", {
				"folderId" : parentFolderId,
				"childFolderId" : folderId,
				"name" : newName
			}).done(success).fail(failure);
		}
	}
	var deferred = $jq.Deferred();
	model.fileOrFolderExists(folderId, newName, verifyFile, verifyFolder).done(rename);
	return deferred;
};

model.renameFile = function (folderId, documentId, newName, verifyFile, verifyFolder) {
	function success(response, textStatus, XMLHttpRequest) {
		deferred.resolve();
	}

	function failure(baxideError) {
		var msg = "Failed to rename file." +
			"\nInfo: " + model.getErrorMessageFromError(baxideError);
		deferred.reject(baxideError, msg);
	}

	function rename(nameExists) {
		if (nameExists) {
			deferred.reject({
				baxideCode : "409"
			}, "A file or folder named '" + newName + "' already exists, please select another name");
		} else {
			baxide.invoke("renameDocument", {
				"folderId" : folderId,
				"documentId" : documentId,
				"newName" : newName
			}).done(success).fail(failure);
		}
	}

	var deferred = $jq.Deferred();
	model.fileOrFolderExists(folderId, newName, verifyFile, verifyFolder).done(rename);
	return deferred;
};

model.removeFolder = function (parentFolderId, folderId) {
	return baxide.invoke("deleteFolder", {
		"folderId" : parentFolderId,
		"childFolderId" : folderId
	});
};

model.removeFile = function (folderId, docId) {
	return baxide.invoke("deleteDocument", {
		"folderId" : folderId,
		"documentId" : docId
	});
};

model.moveFolder = function (parentFolderId, childFolderId, destinationFolderId, folderName) {
	return baxide.invoke("moveFolder", {
		"srcFolderId" : parentFolderId,
		"srcChildFolderId" : childFolderId,
		"dstFolderId" : destinationFolderId,
		"name" : folderName
	});
};

model.moveDocument = function (srcFolderId, srcDocumentId, dstFolderId, dstDocument) {
	return baxide.invoke("moveDocument", {
		"srcFolderId" : srcFolderId,
		"srcDocumentId" : srcDocumentId,
		"dstFolderId" : dstFolderId,
		"dstDocument" : dstDocument
	});
};

model.copyDocument = function (srcFolderId, srcDocumentId, dstFolderId, dstDocument) {
	return baxide.invoke("copyDocument", {
		"srcFolderId" : srcFolderId,
		"srcDocumentId" : srcDocumentId,
		"dstFolderId" : dstFolderId,
		"dstDocument" : dstDocument
	});
};

model.getFoldersData = function (doc, folderScene) {
	alert("get folders data");
	var folders = new Array;
	$(doc.documentElement).find('[name!=""]').each(function (i, fsFolder) {
		folders[i] = {};
		var id = folders[i].id = fsFolder.getAttribute("id");
		var name = folders[i].title = fsFolder.getAttribute("name");
		//      model.path.set(id, name, folderId);
		folders[i].type = folders[i].mime = "folder";
		folders[i].data = id;
	});

	//If not in folder scene:
	if (folderScene == undefined || folderScene == null || !folderScene) {
		//states.clouddrive.folders = folders;
		fold = folders;

	}

	alert("folder. length: " + folders.length);

	for (var i = 0; i < folders.length; i++) {

		folderTree[0].push(folders[i].title);
		//		alert("folder. "+folders[i].title+"   "+folderTree[0][i]+ "  " +level);
		folderTree[1].push(folders[i].id);
	}
	alert("folder. ft " + folderTree);
	alert("folder. foldertree:" + folderTree[0].length);
	alert("folder. foldertree:" + folderTree[0]);
	alert("folder. foldertree:" + folderTree[1]);

}

model.getFilesData = function (doc, offset) {
	var files = new Array();
	var target,
	href;

	//if 2011 model:
	if (tvYear == "2011") {
		$(doc).find("[nodeName='atom:feed']").each(function (index, value) {
			totalFiles = $(value).children("[nodeName='os:totalResults']").text();
		});
		$(doc).find("[nodeName='atom:entry']").each(function (index, value) {
			files[index] = {};
			if ($(value).children("[nodeName='dc:document']")[0]) {
				href = $(value).children("[nodeName='atom:link'][rel = 'alternate']").attr("href");
				files[index].title = $(value).children("[nodeName='atom:title']").text();
				files[index].id = $(value).children("[nodeName='dc:document']").text();
				files[index].mime = $(value).children("[nodeName='atom:link'][rel='alternate']").attr("type");
				files[index].href = href;
				files[index].updated = utils.getStorageDatetime($(value).children("[nodeName='atom:updated']").text());
				files[index].size = utils.formatBytes($(value).children("[nodeName='atom:link']").attr("length"));
				files[index].dcFolder = $(value).children("[nodeName='dc:folder']").text();
				files[index].dcDoc = files[index].id;
				files[index].data = files[index].dcFolder + "_" + files[index].dcDoc;
				files[index].index = parseInt(offset, 10) + index;
				if (files[index].mime == "image/jpeg" || files[index].mime == "image/jpg" || files[index].mime == "image/png" || files[index].mime == "image/gif") {
					if ($(value).children("[nodeName='dc:camera-make']")[0])
						files[index].camera = $(value).children("[nodeName='dc:camera-make']").text();
					if ($(value).children("[nodeName='dc:camera-model']")[0])
						files[index].camera_model = $(value).children("[nodeName='dc:camera-model']").text();
					if ($(value).children("[nodeName='dc:flash']")[0])
						files[index].flash = $(value).children("[nodeName='dc:flash']").text();
					if ($(value).children("[nodeName='dc:iso']")[0])
						files[index].iso = $(value).children("[nodeName='dc:iso']").text();
					if ($(value).children("[nodeName='dc:focal']")[0])
						files[index].focal = $(value).children("[nodeName='dc:focal']").text();
					if ($(value).children("[nodeName='dc:aperture']")[0])
						files[index].aperture = $(value).children("[nodeName='dc:aperture']").text();
					if ($(value).children("[nodeName='dc:exposure']")[0])
						files[index].exposure = $(value).children("[nodeName='dc:exposure']").text();
					if ($(value).children("[nodeName='dc:dpi']")[0])
						files[index].dpi = $(value).children("[nodeName='dc:dpi']").text();

					if ($(value).children("[nodeName='dc:orientation']")[0])
						files[index].orientation = $(value).children("[nodeName='dc:orientation']").text();
					if ($(value).children("[nodeName='dc:thumbnail']")[0]) {
						files[index].type = "image";
						files[index].thumbnail = href.substr(0, href.length - 1) + "32769";

					} else if (controller.thumbnailSupport) {
						files[index].type = "imageLoading";
						// states.clouddrive.imageQueue.push(files[index]);
					} else {

						files[index].type = "image";
					}
					imageFiles.push(files[index]);
				} else {
					if (files[index].mime.split("/")[0] == "audio") {

						files[index].artist = $(value).children("[nodeName='dc:artist']").last().text();
						files[index].song = $(value).children("[nodeName='dc:name']").last().text();
						files[index].track = $(value).children("[nodeName='dc:track']").last().text();
						files[index].rate = $(value).children("[nodeName='dc:rate']").last().text();
						files[index].album = $(value).children("[nodeName='dc:album']").last().text();
						files[index].year = $(value).children("[nodeName='dc:year']").last().text();
						files[index].genre = $(value).children("[nodeName='dc:genre']").last().text();
						files[index].duration = $(value).children("[nodeName='dc:duration']").last().text();
						files[index].composer = $(value).children("[nodeName='dc:composer']").last().text();
						files[index].node = controller.serialize(value);
						files[index].filePath = model.getCurrentPath() + files[index].title;
						files[index].artistSong = (files[index].artist != "" && files[index].song != "" ? files[index].artist + " - " + files[index].song : files[index].title);
						//files[index].node = value;
						audioFiles.push(files[index]);
					}
					files[index].type = "file";
				}
			}
		});

	} else { // 2012 model
		totalFiles = $(doc.documentElement).find("totalResults").text();
		$(doc).find('entry').each(function (index, value) {
			files[index] = {};

			if ($(value).children("document")) {
				href = $(value).find("link").attr("href"); //'][rel = 'alternate']
				files[index].title = $(value).find("title").text();
				files[index].id = $(value).find("document").text();
				files[index].mime = $(value).find("link").attr("type");
				files[index].href = href;
				files[index].updated = utils.getStorageDatetime($(value).find("updated").text());
				files[index].size = utils.formatBytes($(value).find("link").attr("length"));
				files[index].dcFolder = $(value).find("folder").text();
				files[index].dcDoc = files[index].id;
				files[index].data = files[index].dcFolder + "_" + files[index].dcDoc;
				files[index].index = parseInt(offset, 10) + index;
				if (files[index].mime == "image/jpeg" || files[index].mime == "image/jpg" || files[index].mime == "image/png" || files[index].mime == "image/gif") {
					files[index].camera = $(value).find("camera-make").text();
					files[index].camera_model = $(value).find("camera-model").text();
					files[index].flash = $(value).find("flash").text();
					files[index].iso = $(value).find("iso").text();
					files[index].focal = $(value).find("focal").text();
					files[index].aperture = $(value).find("aperture").text();
					files[index].exposure = $(value).find("exposure").text();
					files[index].dpi = $(value).find("dpi").text();
					files[index].orientation = $(value).find("orientation").text();
					if ($(value).children("thumbnail")[0]) {
						files[index].type = "image";
						files[index].thumbnail = href.substr(0, href.length - 1) + "32769";

					} else if (controller.thumbnailSupport) {
						files[index].type = "imageLoading";
						//states.clouddrive.imageQueue.push(files[index]);
						imageQueue.push(files[index]);
					} else {
						files[index].type = "image";
					}
					imageFiles.push(files[index]);
				} else {
					if (files[index].mime.split("/")[0] == "audio") {

						files[index].artist = $(value).find("artist").last().text();
						files[index].song = $(value).find("name").last().text();
						files[index].track = $(value).find("track").last().text();
						files[index].rate = $(value).find("rate").last().text();
						files[index].album = $(value).find("album").last().text();
						files[index].year = $(value).find("year").last().text();
						files[index].genre = $(value).find("genre").last().text();
						files[index].duration = $(value).find("duration").last().text();
						files[index].composer = $(value).find("composer").last().text();
						files[index].node = value;
						files[index].filePath = model.getCurrentPath() + files[index].title;
						files[index].artistSong = ((files[index].artist != undefined && files[index].song != undefined && files[index].artist != "" && files[index].song != "") ? (files[index].artist + " - " + files[index].song) : files[index].title);

						audioFiles.push(files[index]);
					}
					files[index].type = "file";
				}
			}
		});
	}
	alert("Files size: " + files.length);
	return files;
}

//**************************************************FAVORITES****************************************************
//load favorites
model.loadFavorites = function (sortAtt, sortAsc) {
	var sortOrder = (sortAsc == true ? "asc" : "desc");

	// if(!folderTree || folderTree == null || folderTree == undefined){
	folderTree = new Array(4);
	for (i = 0; i < 5; i++)
		folderTree[i] = new Array();
	//}

	function done(doc) {
		var favorites = new Array;
		//	alert("doc "+doc);
		if (sortAtt == "title") {
			//     doc = utils.sortXML(doc, '[name!=""]', "name", sortOrder);
		}

		$(doc.documentElement).find('favorite').each(function (i, fsFolder) {
			favorites[i] = {};
			var id = favorites[i].id = fsFolder.getAttribute("id");
			var name = favorites[i].title = fsFolder.getAttribute("name");
			//      model.path.set(id, name, favoriteId);
			favorites[i].pwd = fsFolder.getAttribute("password");
			favorites[i].sharingUserId = fsFolder.getAttribute("sharingUserId");
			favorites[i].sharingUserName = fsFolder.getAttribute("sharingUserName");
			favorites[i].webShareId = fsFolder.getAttribute("webShareId");
			favorites[i].created = fsFolder.getAttribute("created");
			favorites[i].userId = fsFolder.getAttribute("userId");
			favorites[i].type = "favorite";
			favorites[i].mime = (fsFolder.getAttribute("password") != "" ? "favoritelocked" : "favorite");
		});

		//states.clouddrive.folders = folders;
		fold = favorites;
		deferred.resolve(doc);

	}

	function failed(doc) {
		deferred.reject(doc);
	}

	var deferred = $jq.Deferred();

	var url;

	url = "/v1/users/" + states.userId + "/favorites/?order=favoritename&desc=false";

	baxide.invokeGet("favorites", null, url).done(done).fail(failed);
	return deferred;
};

//gets favorite info
model.loadFavorite = function (favoriteId, path, open, folders, sortAtt, sortAsc) {
	var order = (sortAsc == true ? "asc" : "desc");
	function done(doc) {
		var favorites = new Array;
		var target;
		//	alert("doc "+doc);
		if (sortAtt == "title") {
			//     doc = utils.sortXML(doc, '[name!=""]', "name", sortOrder);
		}

		if (open) {
			fold = new Array();
			folderFiles = new Array;
			imageFiles = new Array;
			audioFiles = new Array;

			if (tvYear == "2011") {
				$(doc.documentElement).find("[nodeName='atom:entry']").each(function (i, value) {
					//		alert("value: "+value);
					favorites[i] = {};
					//target = [favoriteId, (path ? path : "" ) + $(value).children("[nodeName='atom:title']").text()];

					favorites[i].title = $(value).children("[nodeName='atom:title']").text();
					favorites[i].published = $(value).children("[nodeName='atom:published']").text();
					favorites[i].updated = $(value).children("[nodeName='atom:updated']").text();
					favorites[i].mime = $(value).children("[nodeName='atom:link'][rel='enclosure']").attr("type");
					var href = favorites[i].href = $(value).children("[nodeName='atom:link'][rel='enclosure']").attr("href");
					favorites[i].parentFolderId = $(value).children("[nodeName='dc:folder']").text();
					favorites[i].id = $(value).children("[nodeName='dc:document']").text();
					favorites[i].size = utils.formatBytes($(value).children("[nodeName='atom:link'][rel='alternate']").attr("length"));
					if (open) {
						if ($(value).children("[nodeName='dc:document']")[0]) {
							//			alert('file: '+$(value).children("[nodeName='dc:document']")[0]);
							//favorites[i].target = target;
							favorites[i].description = "";
							favorites[i].favorite = favoriteId;
							favorites[i].path = (path ? path + "/" + favorites[i].title : "/" + favorites[i].title);
							if (favorites[i].mime == "image/jpeg" || favorites[i].mime == "image/jpg" || favorites[i].mime == "image/png" || favorites[i].mime == "image/gif") {

								if ($(value).children("[nodeName='dc:camera-make']")[0])
									favorites[i].camera = $(value).children("[nodeName='dc:camera-make']").text();
								if ($(value).children("[nodeName='dc:camera-model']")[0])
									favorites[i].camera_model = $(value).children("[nodeName='dc:camera-model']").text();
								if ($(value).children("[nodeName='dc:flash']")[0])
									favorites[i].flash = $(value).children("[nodeName='dc:flash']").text();
								if ($(value).children("[nodeName='dc:iso']")[0])
									favorites[i].iso = $(value).children("[nodeName='dc:iso']").text();
								if ($(value).children("[nodeName='dc:focal']")[0])
									favorites[i].focal = $(value).children("[nodeName='dc:focal']").text();
								if ($(value).children("[nodeName='dc:aperture']")[0])
									favorites[i].aperture = $(value).children("[nodeName='dc:aperture']").text();
								if ($(value).children("[nodeName='dc:exposure']")[0])
									favorites[i].exposure = $(value).children("[nodeName='dc:exposure']").text();
								if ($(value).children("[nodeName='dc:dpi']")[0])
									favorites[i].dpi = $(value).children("[nodeName='dc:dpi']").text();
								if ($(value).children("[nodeName='dc:orientation']")[0])
									favorites[i].orientation = $(value).children("[nodeName='dc:orientation']").text();
								if ($(value).children("[nodeName='dc:thumbnail']")[0]) {
									favorites[i].type = "image";
									favorites[i].thumbnail = href.substr(0, href.length - 1) + "32769";

								} else if (controller.thumbnailSupport) {
									favorites[i].type = "imageLoading";
									//            states.clouddrive.imageQueue.push(files[index]);
								} else {

									favorites[i].type = "image";
								}
								imageFiles.push(favorites[i]);
							} else {
								if (favorites[i].mime.split("/")[0] == "audio") {

									favorites[i].artist = $(value).children("[nodeName='dc:artist']").last().text();
									favorites[i].song = $(value).children("[nodeName='dc:name']").last().text();
									favorites[i].track = $(value).children("[nodeName='dc:track']").last().text();
									favorites[i].rate = $(value).children("[nodeName='dc:rate']").last().text();
									favorites[i].album = $(value).children("[nodeName='dc:album']").last().text();
									favorites[i].year = $(value).children("[nodeName='dc:year']").last().text();
									favorites[i].genre = $(value).children("[nodeName='dc:genre']").last().text();
									favorites[i].duration = $(value).children("[nodeName='dc:duration']").last().text();
									favorites[i].composer = $(value).children("[nodeName='dc:composer']").last().text();
									alert("favorite value: " + value);

									//favorites[i].node = value;
									favorites[i].node = controller.serialize(value);
									favorites[i].externalHref = $(value).children("[nodeName='atom:link'][rel='alternate']").attr("href");
									favorites[i].artistSong = (favorites[i].artist != "" && favorites[i].song != "" ? favorites[i].artist + " - " + favorites[i].song : favorites[i].title);
									alert("favorite value: " + favorites[i].node);
									audioFiles.push(favorites[i]);
								}
								favorites[i].type = "file";
							}
							folderFiles.push(favorites[i]);
							//	folderFiles[folderFiles.length-1].node = favorites[i].node;
							//	alert("fav node value: "+folderFiles[folderFiles.length-1].node);

						} else {
							//		alert("folder");
							favorites[i].id = $(value).children("[nodeName='dc:childfolder']").text();
							favorites[i].type = "folder";
							//target[1] = target[1] + "/";
							//favorites[i].target = target;
							favorites[i].description = "";
							favorites[i].favorite = favoriteId;
							favorites[i].path = (path ? path + "/" + favorites[i].title : "/" + favorites[i].title);
							fold.push(favorites[i]);
						}
					}
					//favorites[i].target = target;
					//  favorites[i].title = $(value).find("title").text();
					favorites[i].description = "";
					favorites[i].favorite = favoriteId;
					favorites[i].path = (path ? path + "/" + favorites[i].title : "/" + favorites[i].title);
				});
			} else { //2012

				$(doc.documentElement).find('entry').each(function (i, value) {
					//	alert("atom: "+i);
					favorites[i] = {};
					//     favorites[i].title = fsFolder.getAttribute("title");


					//      model.path.set(id, name, favoriteId);
					//target = [favoriteId, (path ? path : "" ) + $(value).find("title").text()];
					// alert("target "+target);
					favorites[i].title = $(value).find("title").text();
					favorites[i].published = $(value).find("published").text();
					favorites[i].updated = $(value).find("updated").text();
					$(value).find("link").each(function () {
						if ($(this).attr("rel") === 'enclosure') {
							favorites[i].href = $(this).attr("href");
							favorites[i].mime = $(this).attr("type");
						}
						if ($(this).attr("rel") === 'alternate') {
							favorites[i].size = utils.formatBytes($(this).attr("length"));
						}

					});
					favorites[i].parentFolderId = $(value).find("folder").text();

					if (open) {
						if ($(value).find("document").text() != "") {
							alert("file");
							favorites[i].id = $(value).find("document").text();
							//favorites[i].target = target;
							favorites[i].description = "";
							favorites[i].favorite = favoriteId;
							favorites[i].path = (path ? path + "/" + favorites[i].title : "/" + favorites[i].title);
							if (favorites[i].mime == "image/jpeg" || favorites[i].mime == "image/jpg" || favorites[i].mime == "image/png" || favorites[i].mime == "image/gif") {
								favorites[i].camera = $(value).find("camera-make").text();
								favorites[i].camera_model = $(value).find("camera-model").text();
								favorites[i].flash = $(value).find("flash").text();
								favorites[i].iso = $(value).find("iso").text();
								favorites[i].focal = $(value).find("focal").text();
								favorites[i].aperture = $(value).find("aperture").text();
								favorites[i].exposure = $(value).find("exposure").text();
								favorites[i].dpi = $(value).find("dpi").text();
								favorites[i].orientation = $(value).find("orientation").text();
								if ($(value).children("thumbnail")[0]) {
									favorites[i].type = "image";
									favorites[i].thumbnail = href.substr(0, href.length - 1) + "32769";

								} else if (controller.thumbnailSupport) {
									favorites[i].type = "imageLoading";
									//states.clouddrive.imageQueue.push(files[index]);
									imageQueue.push(favorites[i]);
								} else {
									favorites[i].type = "image";
								}
								imageFiles.push(favorites[i]);
							} else {
								if (favorites[i].mime.split("/")[0] == "audio") {

									favorites[i].artist = $(value).find("artist").last().text();
									favorites[i].song = $(value).find("name").last().text();
									favorites[i].track = $(value).find("track").last().text();
									favorites[i].rate = $(value).find("rate").last().text();
									favorites[i].album = $(value).find("album").last().text();
									favorites[i].year = $(value).find("year").last().text();
									favorites[i].genre = $(value).find("genre").last().text();
									favorites[i].duration = $(value).find("duration").last().text();
									favorites[i].composer = $(value).find("composer").last().text();
									favorites[i].node = value;
									$(value).find("link").each(function () {
										if ($(this).attr("rel") === 'alternate') {
											favorites[i].externalHref = $(value).find("link").attr("href");
											alert("externalHref " + favorites[i].externalHref);
										}
									});

									favorites[i].artistSong = (favorites[i].artist != "" && favorites[i].song != "" ? favorites[i].artist + " - " + favorites[i].song : favorites[i].title);

									audioFiles.push(favorites[i]);
								}
								favorites[i].type = "file";
							}

							folderFiles.push(favorites[i]);
						} else {
							alert("folder");
							favorites[i].id = $(value).find("childfolder").text();
							favorites[i].type = "folder";
							//target[1] = target[1] + "/";
							//favorites[i].target = target;
							favorites[i].description = "";
							favorites[i].favorite = favoriteId;
							favorites[i].path = (path ? path + "/" + favorites[i].title : "/" + favorites[i].title);
							fold.push(favorites[i]);
						}
					}
					//	  alert("favorites[i].title "+favorites[i].title);
					//	  alert("favorites[i].title "+favorites[i].published);
					//	  alert("favorites[i].title "+favorites[i].updated);
					//	  alert("favorites[i].title "+favorites[i].url);
					//	  alert("favorites[i].title "+favorites[i].parentFolderId);

				});
			}
		}
		if (!open) {
			if (tvYear == "2011") {
				var summary = $(doc.documentElement).children("[nodeName='atom:summary']").text();
				alert("summary: " + summary);
			} else {

				var summary = $(doc.documentElement).find('summary').text();
				alert("summary: " + summary);

			}

		}
		deferred.resolve(doc, summary);

	}

	function failed(doc) {
		alert("failed");
		deferred.reject(doc);
	}

	var deferred = $jq.Deferred();


	var userId = states.userId;

	var queryParams = "";
	if (order && !sortAsc) {
		queryParams = "?order=" + order + "&desc=" + !sortAsc;
	} else if (order) {
		queryParams = "?order=" + order;
	} else if (!sortAsc) {
		queryParams = "?desc=" + !sortAsc;
	}
	if (!open) {
		queryParams = (queryParams == "" ? "?count=1000" : queryParams + "&count=1");
	} else {
		queryParams = (queryParams == "" ? "?count=1000" : queryParams + "&count=1000");
	}
	alert("queryParams " + queryParams);
	alert("favoriteId " + favoriteId);
	alert("path " + path);
	if (userId && !favoriteId && !path) {
		baxide.invokeGet(null, null, "/v1/users/" + userId + "/favorites/" + queryParams).done(done).fail(failed);
	} else if (userId && favoriteId && !path) {
		baxide.invokeGet(null, null, "/v1/users/" + userId + "/favorites/" + favoriteId + "/webshare/" + queryParams).done(done).fail(failed);
	} else if (userId && favoriteId && path) {
		baxide.invokeGet(null, null, "/v1/users/" + userId + "/favorites/" + favoriteId + "/webshare/" + path + queryParams).done(done).fail(failed);
	}

	return deferred;
};

model.deleteFavorite = function (favoriteId) {
	function done(response) {
		deferred.resolve(response);
	}
	function fail(response) {
		deferred.reject(response);
	}

	var deferred = $jq.Deferred();
	baxide.restInvoke("/v1/users/" + states.userId + "/favorites/" + favoriteId, null, "DELETE").done(done).fail(fail);
	return deferred;
};

model.addFavorite = function (username, webshare, password) {
	function done(response) {
		alert("add fav success " + response);
		deferred.resolve(response);
	}
	function fail(response) {
		alert("add fav fail: " + response);
		deferred.reject(response);
	}

	alert("username: " + username + " webshare " + webshare + " password " + password);
	if( password == undefined) password = "";
	var payload = '<favorite name="' + webshare + '" sharingUsername="' + username + '" webShareName="' + webshare + '" password="' + password + '"/>';
	var deferred = $jq.Deferred();
	baxide.restInvoke("/v1/users/" + states.userId + "/favorites/", payload, "POST").done(done).fail(fail);
	return deferred;
};


//******************************************************************WEBSHARES*******************************************************************

model.getWebShares = function (userId, webShareId, offset, count) {
	function done(doc) {
		alert(" get webshares success " + doc);
		var webshareElement = new Array;
		$(doc.documentElement).find('webshare').each(function (i, wshare) {
			alert("webshare");
			webshareElement[i] = {};
			webshareElement[i].id = wshare.getAttribute("id");
			webshareElement[i].userId = wshare.getAttribute("userId");
			webshareElement[i].name = wshare.getAttribute("name");
			webshareElement[i].description = wshare.getAttribute("description");
			webshareElement[i].visibility = wshare.getAttribute("visibility");
			webshareElement[i].password = wshare.getAttribute("password");
			webshareElement[i].type = wshare.getAttribute("type");
			webshareElement[i].created = wshare.getAttribute("created");
			webshareElement[i].updated = wshare.getAttribute("updated");
		});

		//states.clouddrive.folders = folders;
		webshares = webshareElement;

		deferred.resolve(doc);
	}
	function fail(response) {
		alert("get webshares  fail: " + response);
		deferred.reject(response);
	}

	var deferred = $jq.Deferred();
	if (userId && !webShareId) {
		offset = offset || 0;
		count = count || 100;
		alert("userId " + userId + " wshare " + webShareId);
		baxide.invokeGet(null, null, "/v1/users/" + userId + "/webshares/?order=created&desc=true&offset=" + offset + "&count=" + count).done(done).fail(fail);
	} else if (userId && webShareId) {
		baxide.invokeGet(null, null, "/v1/users/" + userId + "/webshares/" + webShareId).done(done).fail(fail);
	}
	return deferred;
}

model.saveWebShare = function (webShareId, name, pwd, priv, descr) {
	function done(response) {
		//  alert("add fav success "+response);
		deferred.resolve(response);
	}
	function fail(response) {
		//		alert("add fav fail: "+response);
		deferred.reject(response);
	}
	var deferred = $jq.Deferred();
	if (priv) {
		var visibility = "private";
	} else {
		var visibility = "public";
	}
	var payload = '<webshare name="' + name + '" description="' + descr + '" password="' + pwd + '" visibility="' + visibility + '" type="cloudme"/>';
	var url = "/v1/users/" + states.userId + "/webshares/" + webShareId;
	baxide.restInvoke(url, payload, "POST").done(done).fail(fail);
	return deferred;
}

model.deleteWebShare = function (webShareId) {
	function done(response) {
		deferred.resolve(response);
	}
	function fail(response) {
		deferred.reject(response);
	}

	var deferred = $jq.Deferred();
	baxide.restInvoke("/v1/users/" + states.userId + "/webshares/" + webShareId, null, "DELETE").done(done).fail(fail);
	return deferred;

}

model.createWebShare = function (itemId, itemName, itemFolder) {
	function done(response) {
		//  alert("add fav success "+response);
		deferred.resolve(response);
	}
	function fail(response) {
		//		alert("add fav fail: "+response);
		deferred.reject(response);
	}
	var deferred = $jq.Deferred();
	if (itemFolder == null) {
		var payload = '<webshare name="' + itemName + '" visibility="private" type="cloudme" ><folder id="' + itemId + '" name="' + itemName + '"></folder></webshare>';
	} else {
		var payload = '<webshare name="' + itemName + '" visibility="private" type="cloudme" ><document id="' + itemId + '" name="' + itemName + '" folder="' + itemFolder + '"></document></webshare>';
	}
	var url = "/v1/users/" + states.userId + "/webshares/";
	baxide.restInvoke(url, payload, "POST").done(done).fail(fail);
	return deferred;
}

//**********************************************************SEARCH OPT**********************************************************************

model.getAllFolderId = function () {
	foldersId = new Array;
	function getAllFoldersSuccess(response) {
		$(response.documentElement).find('[folder!=""]').each(function (i, fsFolder) {
			foldersId[i] = {};
			var id = foldersId[i].id = fsFolder.getAttribute("id");
			var name = foldersId[i].name = fsFolder.getAttribute("name");
			foldersId[i].parentId = fsFolder.parentNode.getAttribute("id");
		});

		deferred.resolve(response);
	}
	function getAllFoldersFail(response) {
		deferred.reject(response);
	}

	var deferred = $jq.Deferred();

	var method = "getFolderXML";
	var id = states.homeFolderId;
	var url = "/v1/";
	baxide.invoke(method, {
		folderId : id
	}, url, null, null).done(getAllFoldersSuccess).fail(getAllFoldersFail);
	return deferred;
}

model.getSearchResult = function (searchQuery) {
	function getAllFilesSuccess(response) {
		var numberFolders = search.searchResultFolders.length;
		folderFiles = model.getFilesData(response);
		var i;
		for (i = 0; i < folderFiles.length; i++) {
			if (folderFiles[i].filePath) {
				folderFiles[i].filePath = null;
			}
		}
		search.searchResultFiles = new Array();
		search.searchResultFiles = folderFiles.slice(0);
		deferred.resolve(response);
	}
	function getAllFilesFail(response) {
		deferred.reject(response);
	}

	var deferred = $jq.Deferred();
	search.searchResultFolders = new Array();
	var method = "queryFolder";
	var url = "/v1/";
	var ids = new Array();
	//		var params = new Array();
	for (i = 0; i < foldersId.length; i++) {
		if (foldersId[i].parentId == states.currentFolderId || $.inArray(foldersId[i].parentId, ids) != -1 || foldersId[i].id == states.currentFolderId)
			ids.push(foldersId[i].id);
	}
	model.extensiveSearchFolder(searchQuery, ids);
	//searchQuery = "test";
	var params = {
		folderId : ids,
		offset : 0,
		count : 1000,
		ascending : 'true',
		order : 'title',
		numeric : 'true',
		locale : 'sv_SE',
		query : searchQuery
	};

	baxide.invoke(method, params, url, null, null).done(getAllFilesSuccess).fail(getAllFilesFail);
	return deferred;
}


model.extensiveSearchFolder = function (searchQuery, ids) {
	var i = 0;
	var charPos;
	var match;
	searchQuery = searchQuery.split("*")[0];
	//		var queryLength = searchQuery.length;
	for (i = 0; i < foldersId.length; i++) {
		if ($.inArray(foldersId[i].id, ids) != -1) {
			if (foldersId[i].name != undefined && foldersId[i].name != null) {
				if (foldersId[i].name.toLowerCase().indexOf(searchQuery.toLowerCase()) != -1) {
					if (states.currentFolderId != foldersId[i].id) {
						var object = new Object();
						object.id = foldersId[i].id;
						object.title = foldersId[i].name;
						object.parentId = foldersId[i].parentId;
						search.searchResultFolders.push(object);
					}
				}
			}

		}
	}
	fold = search.searchResultFolders.slice(0);
}

model.getFolderIdFromName = function (nameQuery, parentId) {

	function done(doc) {
		$(doc.documentElement).find('[name!=""]').each(function (i, fsFolder) {
			var id = fsFolder.getAttribute("id");
			var name = fsFolder.getAttribute("name");
			if (name == nameQuery) {
				deferred.resolve(id, i);
			}
		});
		deferred.reject();
	}
	function fail() {
		deferred.reject();
	}
	var deferred = $jq.Deferred();
	baxide.invokeGet("folders", parentId, "/v1/folders/" + parentId).done(done).fail(fail);
	return deferred;

}

model.getCurrentPath = function (itemParentId) {
	var path = "";
	if (itemParentId)
		return controller.getPathFromFileId(itemParentId);
	for (i = 1; i < route.length; i++) {
		path += "/" + route[i];
	}
	path += "/";
	alert("get current path " + path);
	return path;
}
model.getFavoritePath = function (folderid) {
	var path = "";
	for (i = 2; i < favoritesRoute.length; i++) {
		path += "/" + favoritesRoute[i];
	}
	path += "/";
	alert("get favorite path " + path);
	return path;
}


//**********************************************PLAYLIST*****************************************************

model.savePlaylist = function (id, name, entries) {

	function done(res) {
		alert("playlist saved");
		deferred.resolve(res);
	}

	function fail(res) {
		deferred.reject(res);
	}

	var deferred = $jq.Deferred();

	var playlistInfo = "";
	alert("playListLoaded " + playListLoaded);
	//
	if (name.indexOf("m3u") == -1)
		name += ".m3u";
	if (playListLoaded != null && name == "playqueue.m3u" && states.libFolderId == id) {
		alert("playListLoaded.path " + playListLoaded.path);
		playlistInfo = ": " + playListLoaded.path + ";" + playListLoaded.folder + ";" + playListLoaded.name;
	}
	alert("playlistInfo: " + playlistInfo);

	alert("name replace: " + name.replace(/\&/g, "&amp;"));
	var payload = "<createDocument xmlns:atom='http://www.w3.org/2005/Atom' xmlns:dc='http://xcerion.com/directory.xsd'>" +
		"<folder id='" + id + "'/>" +
		"<overwrite>true</overwrite>" +
		"<atom:entry>" +
		"<atom:title>" + name.replace(/\&/g, "&amp;") + "</atom:title>" +
		"<atom:content type='audio/x-mpegurl'>" +
		"#EXTM3U" + playlistInfo.replace(/\&/g, "&amp;") + " \n" +
		(entries ? entries.replace(/\&/g, "&amp;") : "") +
		"</atom:content>" +
		"</atom:entry>" +
		"</createDocument>";

	baxide.invoke("createDocument", null, null, payload).done(done).fail(fail);
	return deferred;
};

//Load document
model.loadDocument = function (id, name) {

	function done(res) {
		deferred.resolve(res);
	}

	function fail(res) {
		deferred.reject(res);
	}

	var deferred = $jq.Deferred();

	var payload = "<loadDocument>" +
		"<folder id='" + id + "'/>" +
		"<document>" + name + "</document>" +
		"</loadDocument>";

	baxide.invoke("loadDocument", null, null, payload).done(done).fail(fail);
	return deferred;
};

//**************************************PORT LISTENER************************************
model.createPortListener = function (userId, folderId, documentName) {

	function done(res) {
		alert("CREATED PORTS IN: " + res);
		$(res.documentElement).find("portURI").each(function (i, value) {
			alert("port uri: " + $(value).text());
			var url = $(value).text();
			deferred.resolve(url);
		});

	}

	function fail(res) {
		deferred.reject(res);
	}
	var payload = "<createPorts>";
	var deferred = $jq.Deferred();
	if (folderId != undefined && folderId != null) {
		payload += "<folderListener>" +
		"<folder id='" + folderId + "'/>" +
		"</folderListener>";
	}
	if (documentName != undefined && documentName != null) {
		payload += "<documentListener>" +
		"<folder id='" + folderId + "'/>" +
		"<document>" + documentName + "</document>" +
		"</documentListener>";
	}
	if (userId != undefined && userId != null) {
		payload += "<userListener>" +
		"<user id='" + userId + "'/>" +
		"</userListener>";
	}
	payload += "</createPorts>";

	baxide.invoke("createPorts", null, null, payload).done(done).fail(fail);
	return deferred;

}

