function SceneSignUpScene(options) {
	this.options = options;
	var ime_firstName = null;
	var ime_lastName = null;
	var ime_desUsername = null;
	var ime_email = null;
	var ime_password = null;
	var checkbox = 0;
	var inputArray;
	var validUsername = false;
	this.scrollSize = 70;
	this.pages = null;
}
var index = 0;

SceneSignUpScene.prototype.initialize = function () {
	alert("SceneSignUpScene.initialize()");
	// this function will be called only once when the scene manager show this scene first time
	// initialize the scene controls and styles, and initialize your variables here
	// scene HTML and CSS will be loaded before this function is called

	$('.firstname').html(STR_FIRST_NAME);
	$('.lastname').html(STR_LAST_NAME);
	$('.desired').html(STR_DESIRED_USERNAME);
	$('.password').html(STR_PASSWORD);
	$('.country').html(STR_COUNTRY);
	$('.userAgreement').html(STR_ACCEPT_USER_AGREEMENT);
}

SceneSignUpScene.prototype.handleShow = function () {
	alert("SceneSignUpScene.handleShow()");
	// this function will be called when the scene manager show this scene
}

SceneSignUpScene.prototype.handleHide = function () {
	alert("SceneSignUpScene.handleHide()");
	// this function will be called when the scene manager hide this scene
	ime_firstName = null;
	ime_lastName = null;
	ime_desUsername = null;
	ime_email = null;
	ime_password = null;
	checkbox = null;
	inputArray = null;
	validUsername = null;
	index = null;

	sf.scene.show('LoginScene');
	sf.scene.focus('LoginScene');
}

SceneSignUpScene.prototype.handleFocus = function () {
	alert("SceneSignUpScene.handleFocus()");
	// this function will be called when the scene manager focus this scene
	inputArray = new Array("firstName", "lastName", "desUsername", "passwordField", "email", "country", "agreement_checkbox", "createAccount_button");
	ime_firstName = new IMEShell("firstName", callback_input, "en");
	ime_lastName = new IMEShell("lastName", callback_input, "en");
	ime_desUsername = new IMEShell("desUsername", callback_input, "en");
	ime_email = new IMEShell("email", callback_input, "en");
	ime_country = new IMEShell("country", callback_input, "en");
	ime_password = new IMEShell("passwordField", callback_input, "en");
	ime_firstName.setKeypadPos(850, 80, 9);
	ime_lastName.setKeypadPos(850, 80, 9);
	ime_desUsername.setKeypadPos(850, 80, 9);
	ime_email.setKeypadPos(850, 80, 9);
	ime_country.setKeypadPos(850, 80, 9);
	ime_password.setKeypadPos(850, 80, 9);
	

	$('#SceneSignUpScene #createAccount_button').sfButton({
		text : STR_CREATE_ACCOUNT
	});
	$('#SceneSignUpScene #agreement_checkbox').sfCheckBox('uncheck');

	ime_desUsername.setOnCompleteFunc(SceneSignUpScene.handleFocus);
	ime_email.setOnCompleteFunc(SceneSignUpScene.handleFocus);
	ime_password.setOnCompleteFunc(SceneSignUpScene.handleFocus);
	ime_country.setOnCompleteFunc(SceneSignUpScene.handleFocus);

	$('#svecKeyHelp_SignUp').sfKeyHelp({
		'blue' : STR_OPEN_UA,
		'return' : STR_BACK
	});

	$('#textScroll').sfScroll('hide');

	var frame = document.getElementById("agreement_frame");
	var textSize = document.getElementById("agreement");
	alert("textSize.scrollHeight " + textSize.scrollHeight)
	var height = textSize.scrollHeight - 540;
	this.pages = (Math.ceil(height / this.scrollSize));
	alert("this.pages : " + this.pages);
	$('#textScroll').sfScroll({
		pages : this.pages
	});

	index = 0;
	document.getElementById(inputArray[index]).focus();
	sf.core.loadJS('app/Controller_signup.js');
	sf.core.loadJS('app/Model_signup.js');
	this.removeValidations();

}

SceneSignUpScene.prototype.handleBlur = function () {
	alert("SceneSignUpScene.handleBlur()");
	// this function will be called when the scene manager move focus to another scene from this scene
}

SceneSignUpScene.prototype.handleKeyDown = function (keyCode) {
	alert("SceneSignUpScene.handleKeyDown(" + keyCode + ")");
	// TODO : write an key event handler when this scene get focued
	switch (keyCode) {
	case sf.key.LEFT:
		break;
	case sf.key.RIGHT:
		break;
	case sf.key.UP:
		if (jQuery("#agreement").css('visibility') == 'visible') {
			var DesPosition = $("#agreement").position().top;
			alert("up desposition: " + DesPosition);
			if (DesPosition < 0) {
				$("#agreement").css("top", DesPosition + this.scrollSize);
				$('#textScroll').sfScroll('prev');
			} else {
				$('#textScroll').sfScroll('prev');
			}
		} else {
			SceneSignUpScene.focusPreviousElement();
			SceneSignUpScene.handleFocus();
		}
		break;
	case sf.key.DOWN:
		if (jQuery("#agreement").css('visibility') == 'visible') {
			var DesPosition = $("#agreement").position().top;
			alert("DesPosition " + DesPosition);
			var frame = document.getElementById("agreement_frame");
			var textSize = document.getElementById("agreement");
			alert("textSize.scrollHeight: " + textSize.scrollHeight);
			alert("frame.offsetHeight: " + frame.offsetHeight);
			if (textSize.scrollHeight - frame.offsetHeight > DesPosition * (-1)) {
				alert("top: " + (DesPosition - this.scrollSize));
				$("#agreement").css("top", DesPosition - this.scrollSize);
				$('#textScroll').sfScroll('next');
			} else {
				$('#textScroll').sfScroll('next');
			}
		} else {
			SceneSignUpScene.focusNextElement();
			SceneSignUpScene.handleFocus();
		}
		break;
	case sf.key.ENTER:
		if (jQuery("#agreement").css('visibility') != 'visible') {
			if ($("#SceneSignUpScene #createAccount_button").is(".sf-ui-button-focus")) {
				usernameAvailable = jQuery("#username_validator").text().split(" is ")[1];
				controller.createNewUser(usernameAvailable);
				$('#SceneSignUpScene #createAccount_button').sfButton('blur');
			}
			if ($("#agreement_checkbox").is(".sf-ui-checkbox-focused")) {
				keep_logged = $('#SceneSignUpScene #agreement_checkbox').sfCheckBox('getChecked');
				if (keep_logged) {
					$('#SceneSignUpScene #agreement_checkbox').sfCheckBox('uncheck');
				} else {
					$('#SceneSignUpScene #agreement_checkbox').sfCheckBox('check');
				}
			}
		}
		break;
	case sf.key.RETURN:
		if (jQuery("#agreement").css('visibility') == 'visible') {
			jQuery("#agreement").css('visibility', 'hidden');
			jQuery("#agreement_frame").css('visibility', 'hidden');
			$('#textScroll').sfScroll('hide');
		} else {
			//	sf.scene.returnFocus();
			alert("Return to login scene");
			sf.scene.hide('SignUpScene');

		}
		sf.key.preventDefault();
		break;

	case sf.key.BLUE:
		alert("BLUE button pressed");
		SceneSignUpScene.prototype.handleAgreement();
		break;
	}
}

SceneSignUpScene.focusNextElement = function () {
	index++;
	alert("Index: " + index);

	if (index >= inputArray.length) {
		index = 0;
	}
	alert("Focus next element: " + (inputArray[index]));
	if (inputArray[index] == "agreement_checkbox") {
		sf.scene.returnFocus();
		$('#SceneSignUpScene #createAccount_button').sfButton('blur');
		$('#SceneSignUpScene #agreement_checkbox').sfCheckBox('focus');
	} else {
		if (inputArray[index] == "createAccount_button") {
			sf.scene.returnFocus();
			$('#SceneSignUpScene #agreement_checkbox').sfCheckBox('blur');
			$('#SceneSignUpScene #createAccount_button').sfButton('focus');
		} else {
			$('#SceneSignUpScene #agreement_checkbox').sfCheckBox('blur');
			$('#SceneSignUpScene #createAccount_button').sfButton('blur');
			document.getElementById(inputArray[index]).focus(); //focus the next element
		}
	}
}

SceneSignUpScene.focusPreviousElement = function () {
	index--;
	alert("Index: " + index);
	if (index < 0) {
		index = (inputArray.length - 1);
	}
	alert("Focus previous element: " + (inputArray[index]));
	if (inputArray[index] == "agreement_checkbox") {
		sf.scene.returnFocus();
		$('#SceneSignUpScene #createAccount_button').sfButton('blur');
		$('#SceneSignUpScene #agreement_checkbox').sfCheckBox('focus');
	} else {
		if (inputArray[index] == "createAccount_button") {
			sf.scene.returnFocus();
			$('#SceneSignUpScene #agreement_checkbox').sfCheckBox('blur');
			$('#SceneSignUpScene #createAccount_button').sfButton('focus');
		} else {
			document.getElementById(inputArray[index]).focus(); //focus the next element
		}
	}
}

SceneSignUpScene.handleFocus = function () {
	alert("Index: " + index);
	jQuery("#agreement_checkbox").css('border', '0px solid blue');
	switch (index) {
	case 0:
	case 1:
		break;
	case 2:
		try {
			controller.checkUsername(document.getElementById("desUsername").value.toLowerCase());
		} catch (error) {
			alert("check username error: " + error);
		}
		break;
	case 3:
		if (document.getElementById("passwordField").value.length < 5) {
			if ($('#password_validator').html().length == 0) {
				jQuery("#password_validator").append(STR_PASSWORD_VALIDATOR);
			}
		} else {
			jQuery("#password_validator").empty();
		}
		break;
	case 4:
		break;
	case 5:
		if ($('#country_validator').html().length == 0) {
			jQuery("#country_validator").append(STR_COUNTRY_VALIDATOR + deviceapis.tv.info.getCountry());
		}
		break;
	case 6:
		jQuery("#agreement_checkbox").css('border', '1px solid blue');
		if ($('#SceneSignUpScene #agreement_checkbox').sfCheckBox('getChecked') == false) {
			if ($('#agreement_validator').html().length == 0) {
				jQuery("#agreement_validator").append(STR_UA_VALIDATOR);
			}
		} else {
			jQuery("#agreement_validator").empty();
		}
		break;
	case 7:
		break;

	}
}

callback_input = function (cb) {
	cb.setKeyFunc(sf.key.UP, function (keyCode) {
		SceneSignUpScene.focusPreviousElement();
		SceneSignUpScene.handleFocus();
		return false;
	});
	cb.setKeyFunc(sf.key.DOWN, function (keyCode) {
		SceneSignUpScene.focusNextElement();
		SceneSignUpScene.handleFocus();
		return false;
	});
	cb.setKeyFunc(sf.key.ENTER, function (keyCode) {
		SceneSignUpScene.focusNextElement();
		SceneSignUpScene.handleFocus();
		return false;
	});
	cb.setKeyFunc(sf.key.RETURN, function (keyCode) {
		if (jQuery("#agreement").css('visibility') == 'visible') {
			jQuery("#agreement").css('visibility', 'hidden');
			jQuery("#agreement_frame").css('visibility', 'hidden');
			$('#textScroll').sfScroll('hide');
		} else {
			alert("Return to login scene");
			sf.scene.hide('SignUpScene');
		}
		sf.key.preventDefault();
	});
	cb.setKeyFunc(sf.key.BLUE, function (keyCode) {
		SceneSignUpScene.prototype.handleAgreement();
		//sf.key.preventDefault();
	});
}

SceneSignUpScene.prototype.handleAgreement = function () {
	if (jQuery("#agreement").css('visibility') == 'visible') {
		//document.getElementById(inputArray[0]).focus();
		jQuery("#agreement").css('visibility', 'hidden');
		jQuery("#agreement_frame").css('visibility', 'hidden');
		$('#textScroll').sfScroll('hide');
	} else {
		sf.scene.returnFocus();
		jQuery("#agreement").css('visibility', 'visible'); //<iframe id="iframe" src="http://www.cloudme.com/en/legal/eula" height="3000" width="960"></iframe>
		jQuery("#agreement_frame").css('visibility', 'visible');
		jQuery("#agreement").css('top', 0);
		$('#textScroll').sfScroll('move', 0);
		$('#textScroll').sfScroll('show');
	}
}
SceneSignUpScene.prototype.removeValidations = function () {
	$jq("#desUsername").css('border', '1px solid grey');
	$jq("#agreement_checkbox").css('border', '0px solid grey');
	$jq("#firstName").css('border', '1px solid grey');
	$jq("#lastName").css('border', '1px solid grey');
	$jq("#email").css('border', '1px solid grey');
	$jq("#passwordField").css('border', '1px solid grey');
}
