function SceneWebSharesScene(options) {
	this.options = options;
	this.scrollSize = 100;
	this.pages = null;
	this.pos = 0;
	extended = false;
}

var focusPos;
var extended = false;

SceneWebSharesScene.prototype.initialize = function () {
	alert("SceneWebSharesScene.initialize()");
	// this function will be called only once when the scene manager show this scene first time
	// initialize the scene controls and styles, and initialize your variables here
	// scene HTML and CSS will be loaded before this function is called

}

SceneWebSharesScene.prototype.handleShow = function () {
	alert("SceneWebSharesScene.handleShow()");
	// this function will be called when the scene manager show this scene
}

SceneWebSharesScene.prototype.handleHide = function () {
	alert("SceneWebSharesScene.handleHide()");
	// this function will be called when the scene manager hide this scene
}

SceneWebSharesScene.prototype.handleFocus = function () {
	alert("SceneWebSharesScene.handleFocus()");
	// this function will be called when the scene manager focus this scene
	$('#svecKeyHelp_IIZH').sfKeyHelp({
		'user' : states.username,
		'red' : STR_LOGOUT,
		/* 'green':STR_SORT,*/
		'yellow' : STR_PLAYQUEUE,
		'enter' : STR_ENTER,
		'updown' : STR_UP_DOWN
	});
	$("#webShares").empty();

	this.showWebShares();
	this.pos = 0;
	this.scrollSize = 100;
	this.focusElement(this.pos);
	extended = false;
	this.setScrollSize();
	focusPos = 0;
	$("#webShares").css("top", 0);

}

SceneWebSharesScene.prototype.handleBlur = function () {
	alert("SceneWebSharesScene.handleBlur()");
	// this function will be called when the scene manager move focus to another scene from this scene
}

SceneWebSharesScene.prototype.handleKeyDown = function (keyCode) {
	alert("SceneWebSharesScene.handleKeyDown(" + keyCode + ")");
	// TODO : write an key event handler when this scene get focued
	switch (keyCode) {
	case sf.key.LEFT:
		break;
	case sf.key.RIGHT:
		break;
	case sf.key.UP:
		if (extended) {
			this.previousInput();
		} else {
			if (this.pos > 0) {
				this.unFocusElement(this.pos);
				this.pos--;
				this.focusElement(this.pos);
				if(this.pos == 0){
					$("#webShares").css("top", 0);
				}else{}
				var DesPosition = $("#webShares").position().top;
				alert("up desposition: " + DesPosition + "   scrollSize " + this.scrollSize);
				if (DesPosition < 0) {
					var moveSize = (DesPosition + this.scrollSize);
					alert("top: " + moveSize);
					$("#webShares").css("top", moveSize);
				} else {
					alert("movel scroll");
					
				}
				$('#webShareScroll').sfScroll('prev');
			}
		}
		break;
	case sf.key.DOWN:
		alert("downn  open:" + extended);
		if (extended) {
			this.nextInput();
		} else {
			if (this.pos < webshares.length - 1) {
				this.unFocusElement(this.pos);
				this.pos++;
				this.focusElement(this.pos);
				var DesPosition = $("#webShares").position().top;
				alert("DesPosition  " + DesPosition + "   scrollSize " + this.scrollSize);
				if (this.webShareSize.scrollHeight - this.frame.offsetHeight > DesPosition * (-1)) {
					alert("move scroll");
					var moveSize = (DesPosition - this.scrollSize);
					alert("top: " + moveSize);
					$("#webShares").css("top", moveSize);
					$('#webShareScroll').sfScroll('next');
				} else {
					alert("movel scroll");
					$('#webShareScroll').sfScroll('next');
				}
			}
		}
		break;
	case sf.key.ENTER:
		//open Webshare
		alert("extended: " + extended);
		if (!extended) {
			focusPos = 0;
			extended = true;
			this.openWebShare(this.pos);
		} else {
			if (focusPos == 1) { //private checkbox
				if ($("#private_checkbox").is(".sf-ui-checkbox-focused")) {
					var priv_checkbox = $('#private_checkbox').sfCheckBox('getChecked');
					if (priv_checkbox) {
						$('#private_checkbox').sfCheckBox('uncheck');
					} else {
						$('#private_checkbox').sfCheckBox('check');
					}
				}
			} else {
				if (focusPos == 4) { // save button
					//save
					controller.saveWebShare(webshares[this.pos].id);
				} else {
					extended = false;
					this.closeWebShare(this.pos);
				}
			}

		}
		break;
	case sf.key.RETURN:
		if (extended) {
			this.closeWebShare();
		} 
		sf.key.preventDefault();
		break;

	case sf.key.N1: //cloud drive
		SceneDriveScene.prototype.setCloudDrive();
		//$('#loadingDrive').sfLoading('show');
		sf.scene.hide('WebSharesScene');
		//			sf.scene.focus('DriveScene');
		break;

	case sf.key.N3: //Favorites
		SceneDriveScene.prototype.setFavorites();
		//			$('#loadingDrive').sfLoading('show');
		sf.scene.hide('WebSharesScene');
		//			sf.scene.focus('DriveScene');
		break;

	case sf.key.N6: //Delete
		var position = this.pos;
		$('#ws_logout_popup').sfPopup({
			text : STR_DELETE_WEBSHARE_POPUP,
			buttons : [STR_YES, STR_NO],
			defaultFocus : 1,
			callback : function deleteCallback(selectedIndex) {
				alert("z-index: " + $('#logout_popup').css('z-index'));
				alert("z-index: " + $('#SceneWebSharesScene').css('z-index'));

				if (selectedIndex == 0) {
					alert("posss " + SceneWebSharesScene.pos + "    " + position);
					controller.deleteWebShare(webshares[position].id);
				}
			}
		});
		$('#ws_logout_popup').sfPopup('show');
		alert("z-index: " + $('#logout_popup').css('z-index'));
		alert("z-index: " + $('#SceneWebSharesScene').css('z-index'));

		break;

	case sf.key.RED:
		if (playingAudio) {
			$("#musicPlay").attr("src", "images/control/media_play.png");
			$("#musicPause").attr("src", "images/control/media_pause_red.png");
			PlayerPlugin.Pause();
		}
		//Show logout popup
		$('#ws_logout_popup').sfPopup({
			text : STR_LOGOUT_POPUP,
			buttons : [STR_YES, STR_NO],
			defaultFocus : 1,
			callback : function logoutCallback(selectedIndex) {
				if (selectedIndex == 0) {
					alert("Loging out");
					sf.scene.hide("DriveScene");
					sf.scene.hide("WebSharesScene");
					controller.logout();
				}
			}
		});
		$('#ws_logout_popup').sfPopup('show');
		break;
	case sf.key.YELLOW: //playqueue
		//			this.drawPlayQueueMenu();
		sf.scene.show("PlayQueueScene");
		sf.scene.focus("PlayQueueScene");
		break;
	case sf.key.PLAY:
		alert("PLAY");
		if (playingAudio) {
			$("#musicPlay").attr("src", "images/control/media_play_green.png");
			$("#musicPause").attr("src", "images/control/media_pause.png");
			PlayerPlugin.Resume();
		} else {
			controller.playMusic();
		}

		break;

	case sf.key.STOP:
		alert("STOP");
		playingAudio = false;
		$("#musicPlay").attr("src", "images/control/media_play.png");
		$("#musicPause").attr("src", "images/control/media_pause.png");
		//	$("#songTitle").html("");
		$("#progressBar").css("width", "0");
		$("#musicPlayer #time").html("00:00:00"); //time = 00:00:00
		PlayerPlugin.Stop();

		break;

	case sf.key.PAUSE:
		alert("PAUSE");
		$("#musicPlay").attr("src", "images/control/media_play.png");
		$("#musicPause").attr("src", "images/control/media_pause_red.png");
		PlayerPlugin.Pause();
		break;

	case sf.key.FF:
		alert("FF: " + currentAudio + "  length: " + playList.length);
		$("#musicFF").attr("src", "images/control/media_step_forward_green.png");
		setTimeout('$("#musicFF").attr("src", "images/control/media_step_forward.png");', 1000);
		controller.playNextSong(1);

		break;

	case sf.key.REW:
		alert("RW");
		$("#musicRW").attr("src", "images/control/media_step_back_green.png");
		setTimeout('$("#musicRW").attr("src", "images/control/media_step_back.png");', 1000);
		controller.playNextSong(-1);
		break;
	case sf.key.VOL_UP:
		alert("Vol up");
		deviceapis.audiocontrol.setVolumeUp();
		SceneDriveScene.prototype.showVolume();

		//    if(Player.getState() != Player.PAUSED)
		//       Player.skipBackwardVideo();
		break;
	case sf.key.VOL_DOWN:
		alert("Vol down");
		deviceapis.audiocontrol.setVolumeDown();

		SceneDriveScene.prototype.showVolume();
		//    if(Player.getState() != Player.PAUSED)
		//       Player.skipBackwardVideo();
		break;
	case sf.key.MUTE:
		alert("MUTE");
		if (deviceapis.audiocontrol.getMute() == true) {
			deviceapis.audiocontrol.setMute(false);
		} else {
			deviceapis.audiocontrol.setMute(true);
		}
		SceneDriveScene.prototype.showVolume();
		break;
	}
}

SceneWebSharesScene.prototype.focusElement = function (pos) {
	alert("focus element: " + pos);
	var div_id = "#webShare" + pos;
	alert("div_id " + div_id);
	alert($(div_id).css('background-color'));
	alert($(div_id + ".webShare").css('background-color'));
	alert($(div_id + " .webShare").css('background-color'));
	alert($(".webShare").css('background-color'));
	alert($("#webShares div" + div_id + ".webShare").css('background-color'));
	alert($("#webShares div" + div_id + " .webShare").css('background-color'));
	alert($("#webShares div" + div_id).css('background-color'));

	$(div_id).css('background-color', '#C4DEFC'); //#EBF4FE 0%,  #C4DEFC 100%
	//	$(div_id).addClass("focus");
}

SceneWebSharesScene.prototype.unFocusElement = function (pos) {
	$("#webShare" + pos).css('background-color', '#F8F8F8');

}

SceneWebSharesScene.prototype.openWebShare = function (pos) {
	$("#webShares_frame").css("overflow", "hidden");
	$("#webShare" + pos).removeClass("webShare");
	$("#webShare" + pos).addClass("extended_webShare");

	$("#webShare" + pos).empty();
	this.webShareInfoExtended(pos);
	var DesPosition = $("#webShares").position().top;
	var webSharePosition = $("#webShare" + pos).position().top;
	alert("DesPosition  " + DesPosition + "   webSharePosition " + webSharePosition);
	var top = DesPosition - (DesPosition + webSharePosition);
	$("#webShares").css("top", top);

}

SceneWebSharesScene.prototype.closeWebShare = function (pos) {
	alert("extended  " + extended + "   1: " + SceneWebSharesScene.open + "  2: " + SceneWebSharesScene.prototype.open);
	extended = false;
	if (pos == undefined || pos == null) {
		alert($('div#webShares').find('.extended_webShare').attr('id'));
		var id = $('.extended_webShare').attr('id');
		alert("id: " + id);
		var pos = id.substring(8);
		alert("pos " + pos);
	}

	alert("pos " + pos);
	$("#webShare" + pos).removeClass("extended_webShare");
	$("#webShare" + pos).addClass("webShare");
	$("#webShare" + pos).empty();

	this.webShareInfo(pos);

	var DesPosition = $("#webShares").position().top;
	var webSharePosition = $("#webShare" + pos).position().top;
	alert("DesPosition  " + DesPosition + "   webSharePosition " + webSharePosition);
	var top = DesPosition + (DesPosition + webSharePosition);
	alert("top " + top);
	$("#webShares").css("top", top);

}

SceneWebSharesScene.prototype.showWebShares = function () {
	var i = 0;
	alert("showwebshares");
	for (i = 0; i < webshares.length; i++) {
		alert("webshare: " + webshares[i].name + "  " + i);
		$("#webShares").append("<div id='webShare" + i + "' class='webShare'></div>");
		this.webShareInfo(i);

	}
}

SceneWebSharesScene.prototype.webShareInfo = function (i) {
	if (webshares[i].password != '') {
		$("#webShare" + i).append("<div class='webShare_image'><img src='images/folder_webshare_lock.png' width='60' height='60'/></div><div class='webShare_name'>" + webshares[i].name + "</div><div class='webShare_url'>http://my.cloudme.com/" + states.username + "/" + webshares[i].name + "</div>");

	} else {
		$("#webShare" + i).append("<div class='webShare_image'><img src='images/folder_webshare.png' width='60' height='60'/></div><div class='webShare_name'>" + webshares[i].name + "</div><div class='webShare_url'>http://my.cloudme.com/" + states.username + "/" + webshares[i].name + "</div>");

	}
}

SceneWebSharesScene.prototype.webShareInfoExtended = function (i) {
	if (webshares[i].password != '') {
		$("#webShare" + i).append("<div class='webShare_image'><img src='images/folder_webshare_lock.png' width='60' height='60'/></div><div class='webShare_name'>"+STR_WS_NAME+"</div><input id='webShareNameInput' type='text' size='20' /><div class='link_to'>"+STR_LINK_TO+"</div><div class='webShare_url'>http://my.cloudme.com/" + states.username + "/" + webshares[i].name + "</div><div id='private_checkbox'></div><div id='private_text'>"+STR_WS_PRIVATE+"</div><div class='pwd_opt'>"+STR_PASSWORD+" ("+STR_OPTIONAL+")</div><input id='webSharePasswordInput' type='text' size='20' /><div class='descr'>"+STR_DESCRIPTION+"</div><input id='webShareDescriptionInput' type='text' size='20' /><div id='button_div'><div id='save_button' class='button'></div></div>");

	} else {
		$("#webShare" + i).append("<div class='webShare_image'><img src='images/folder_webshare.png' width='60' height='60'/></div><div class='webShare_name'>"+STR_WS_NAME+"</div><input id='webShareNameInput' type='text' size='20' /><div class='link_to'>"+STR_LINK_TO+"</div><div class='webShare_url'>http://my.cloudme.com/" + states.username + "/" + webshares[i].name + "</div><div id='private_checkbox'></div><div id='private_text'>"+STR_WS_PRIVATE+"</div><div class='pwd_opt'>"+STR_PASSWORD+" ("+STR_OPTIONAL+")</div><input id='webSharePasswordInput' type='text' size='20' /><div class='descr'>"+STR_DESCRIPTION+"</div><input id='webShareDescriptionInput' type='text' size='20' /><div id='button_div'><div id='save_button' class='button'></div></div>");

	}
	$('#save_button').sfButton({
		text : STR_SAVE,
		width : "160px"
	});

	ime_webShareDescription = new IMEShell("webShareDescriptionInput", this.callback, "en");
	ime_webSharePassword = new IMEShell("webSharePasswordInput", this.callback, "en");
	ime_webShareName = new IMEShell("webShareNameInput", this.callback, "en");
	ime_webShareName.setKeypadPos(850, 100, 9);
	ime_webSharePassword.setKeypadPos(850, 100, 9);
	ime_webShareDescription.setKeypadPos(850, 100, 9);

	ime_webShareDescription.setString(webshares[i].description);
	ime_webSharePassword.setString(webshares[i].password);
	ime_webShareName.setString(webshares[i].name);
	if (webshares[i].visibility == "private") {
		$('#private_checkbox').sfCheckBox('check');
	} else {
		$('#private_checkbox').sfCheckBox('uncheck');
	}
	document.getElementById("webShareNameInput").focus(); //focus the plain Text
}

SceneWebSharesScene.prototype.callback = function (cb) {
	cb.setKeyFunc(sf.key.DOWN, function (keyCode) {
		alert("down " + extended);
		sf.key.preventDefault();
		sf.scene.returnFocus();
		alert("cb-down");
		SceneWebSharesScene.prototype.nextInput();
		return false;
	});
	cb.setKeyFunc(sf.key.ENTER, function (keyCode) {
		sf.scene.returnFocus();
		SceneWebSharesScene.prototype.closeWebShare(null);
		return false;
	});
	cb.setKeyFunc(sf.key.RETURN, function (keyCode) {
		sf.scene.returnFocus();
		return false;
	});
	cb.setKeyFunc(sf.key.UP, function (keyCode) {
		sf.scene.returnFocus();
		SceneWebSharesScene.prototype.previousInput();
		return false;
	});
	//	cb.setKeyFunc(sf.key.EXIT, function(keyCode) {alert("exit"); sf.core.exit(true); });

}

SceneWebSharesScene.prototype.previousInput = function () {

	if (focusPos > 0) {
		focusPos--;
		switch (focusPos) {
		case 0:
			$('#private_checkbox').sfCheckBox('blur');
			$("#private_checkbox").css('border', '0px solid blue');
			document.getElementById("webShareNameInput").focus();
			break;
		case 1:
			document.getElementById("webSharePasswordInput").blur();
			$("#private_checkbox").css('border', '1px solid blue');
			$('#private_checkbox').sfCheckBox('focus');
			break;
		case 2:
			document.getElementById("webShareDescriptionInput").blur();
			document.getElementById("webSharePasswordInput").focus();
			break;
		case 3:
			$('#save_button').sfButton('blur');
			document.getElementById("webShareDescriptionInput").focus();
			break;
		}
	} else { //close webshare
		document.getElementById("webShareNameInput").blur();
		this.closeWebShare();
	}
	return;
}

SceneWebSharesScene.prototype.nextInput = function () {
	alert("nextInput " + focusPos);
	if (focusPos < 4) {
		focusPos++;
		switch (focusPos) {
		case 1:
			document.getElementById("webShareNameInput").blur();
			$('#private_checkbox').sfCheckBox('focus');
			$("#private_checkbox").css('border', '1px solid blue');

			break;
		case 2:
			$('#private_checkbox').sfCheckBox('blur');
			$("#private_checkbox").css('border', '0px solid blue');
			document.getElementById("webSharePasswordInput").focus();

			break;
		case 3:
			document.getElementById("webSharePasswordInput").blur();
			document.getElementById("webShareDescriptionInput").focus();

			break;
		case 4:
			document.getElementById("webShareDescriptionInput").blur();
			$('#save_button').sfButton('focus');
			break;
		}
	} else { //close webshare
		$('#save_button').sfButton('blur');
		this.closeWebShare();
	}
	return;
}

SceneWebSharesScene.prototype.setScrollSize = function () {
	this.webShareSize = document.getElementById("webShares");
	this.frame = document.getElementById("webShares_frame");

	alert("this.webShareSize.scrollHeight " + this.webShareSize.scrollHeight);

	$('#webShareScroll').sfScroll({
		pages : webshares.length
	});

	$('#webShareScroll').sfScroll('show');

	//   $('#gridScroll').sfScroll('hide');
}

SceneWebSharesScene.prototype.saveResult = function (result) {
	//SHOW POP UP RESULT OF SAVE:
	//Show logout popup
	var msg;
	if (result) {
		msg = STR_WEBSHARE_SAVE_POPUP;
	} else {
		msg = STR_WEBSHARE_ERROR_POPUP;
	}
	$('#webShare_popup').sfPopup({
		text : msg,
		buttons : [STR_OK],
		defaultFocus : 0,
		callback : function logoutCallback(selectedIndex) {
			SceneWebSharesScene.prototype.closeWebShare();
		}
	});
	$('#webShare_popup').sfPopup('show');

}
