var sessionStorage = {};

storage.hasSupport = function () {
	return false;
	try {

		if ('localStorage' in window && window['localStorage'] !=  null) {
			return true;
		}
	} catch (e) {}

	if (!storage.hasSessionSupport()) {
		storage.setUnsafeTempValue = function (key, val) {
			return storage.setValue.apply(storage, [key, val]);
		};

		storage.getUnsafeTempValue = function () {
			return storage.getValue.apply(storage, []);
		};
	}

	return false;
};

storage.hasSessionSupport = function () {
	alert("modelCode " + modelCode);
	try {
		if ('sessionStorage' in window && window['sessionStorage'] != null &&
				tvYear != "2011") {
			return true;
		} else {
			return false;
		}
	} catch (e) {
		return false;
	}
};

storage.clear = function () {
	sf.core.localData("isLoggedIn", "0");
	sf.core.localData("keepLoggedIn", "0");
	sf.core.localData("loginUsername", null);
	sf.core.localData("loginToken", null);

};

storage.sessionClear = function () {
	try {
		sessionStorage.clear();
	} catch (err) {
		sessionStorage = {};
	}

};

storage.setUnsafeTempValue = function (key, val) {
	alert("set unsafe temp val: " + key + "  val " + val);
	if (tvYear == "2011") {
		if (val != null) {
			sessionStorage[key] = btoa(utils.utf8Encode(val));
		} else {
			sessionStorage[key] = null;
		}
	} else {
		alert("Set unsafe temp Value " + key + "      " + val);
		sessionStorage.setItem(key, val ? btoa(utils.utf8Encode(val)) : "");
	}
};

storage.getUnsafeTempValue = function (key) {
	var val;
	alert("get unsafe temp value: "+key);
	if (tvYear == "2011") {
		val = sessionStorage[key];
	} else {
		val = sessionStorage.getItem(key);
	}
	return val ? utils.utf8Decode(atob(val)) : val;
};

storage.isLoggedIn = function () {
	var loggedIn = "0";
	/* First check if localStorage is set to either 1 or 0, if not check for sessionStorage */

	val = sf.core.localData("isLoggedIn");
	alert("val: " + val);
	if (val == "yes") {
		val = "1";
	}
	if (val == "1") {
		loggedIn = "1";
	}
	return loggedIn == "1";

};

storage.setValue = function (key, val) {
	if (val == "1") {
		val = "yes";
	}
	alert("Set unsafe temp Value local: key: " + key + " val: " + val);

	if (val != null) {
		sf.core.localData(key, btoa(utils.utf8Encode(val)));
	} else {
		sf.core.localData(key, val);
	}
};

storage.getValue = function (key) {
	var val = sf.core.localData(key);
	alert("getval key: " + key + " val " + val);
	try {
		return val != undefined ? utils.utf8Decode(atob(val)) : val;
	} catch (err) {
		return val;
	}
};

storage.tempApply = function (f, o) {
	if (window.name && window.name != "" && window.name.indexOf(":") !=  - 1) {
		var arr = window.name.split(':');
		if ((arr[0] == "http" || arr[0] == "https") && arr[1].substr(0, 2) == "//")
			return null;
		for (var i = 0, len = arr.length; i < len; i++) {
			arr[i] = utils.utf8Decode(atob(arr[i]));
		}
		return f.apply(o, arr);
	}
	return null;
};

storage.tempStore = function (u, t) {
	alert("Temporal Store");
	window.name = btoa(utils.utf8Encode(u)) + ':' + btoa(utils.utf8Encode(t));
};
